org.apache.commons.math3.optim.univariate

## Class UnivariateObjectiveFunction

- java.lang.Object
- - org.apache.commons.math3.optim.univariate.UnivariateObjectiveFunction

All Implemented Interfaces:
  OptimizationData

    public class UnivariateObjectiveFunction
    extends Object
    implements OptimizationData

Scalar function to be optimized.

Since:
  3.1
Version:
  $Id$

### Field Summary

Fields
`private UnivariateFunction` `function` Function to be optimized.

### Constructor Summary

Constructors
Constructor and Description
`UnivariateObjectiveFunction(UnivariateFunction f)`

### Method Summary

Methods
`UnivariateFunction` `getObjectiveFunction()` Gets the function to be optimized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### function

    private final UnivariateFunction function

Function to be optimized.

### Constructor Detail

#### UnivariateObjectiveFunction

    public UnivariateObjectiveFunction(UnivariateFunction f)

Parameters:
  `f` - Function to be optimized.

### Method Detail

#### getObjectiveFunction

    public UnivariateFunction getObjectiveFunction()

Gets the function to be optimized.

Returns:
  the objective function.